Skip to main content
GET
Search the skill catalog

Authorizations

Authorization
string
header
required

The session token of an admin of your company. Company API, partner and droplet installation tokens are refused.

Path Parameters

bot_id
string<uuid>
required

The bot's id.

run_id
string<uuid>
required

The id of one of the bot's runs.

Query Parameters

query
string

Words to match, such as "promo code".

Maximum string length: 300

Response

The matching skills, without their bodies.

skills
object[]
required

The catalog skills matching every word of the query, best first; for a blank query, the first ten.

Maximum array length: 10
skill_version
object
required
status
integer
required
meta
object
required

Response metadata on every body. List endpoints add pagination.